package abacomayadecimale;

import java.awt.Color;
import java.awt.Dimension;
import java.awt.Graphics;
import javax.swing.ImageIcon;
import javax.swing.JPanel;

/**
 * Classe per l'implementazione di uno slashscreen custom.
 * Viene creato un pannello contenente l'immagine scelta dal nome.
 * L'immagine viene prelevata direttamente dalla cartella images del progetto.
 */
public class Splash extends JPanel {
    
    /**
     * Immagine dello splashscreen.
     */
    ImageIcon image;
    
    /**
     * Dimensione della finestra in cui aggiungere lo splashscreen.
     */
    Dimension dim;
    
    /**
     * Costruttore dell'oggetto Splash.
     * Crea un pannello con una immagine che funge da splashscreen.
     * @param name nome dell'immagine PNG contenuta in ../images/
     * @param dim  dimensione della finestra in cui aggiungere lo splashscreen
     */
    Splash(String name, Dimension dim){
        
        image = new ImageIcon(this.getClass().getResource("images/"+name+".png"));
        this.dim = dim;
                
        this.setSize(dim);
        this.setOpaque(false);
    }
    
    @Override
    public void paintComponent(Graphics g){
        super.paintComponent(g);
        
        g.drawImage(image.getImage(), (dim.width-image.getIconWidth())/2-25, (dim.height-image.getIconHeight())/2 -20, Color.CYAN, this);
    }
}
